exports.handler = require("./handler")
exports.htmlHandler = require("./htmlHandler")
exports.networkHandler = require("./networkHandler")
exports.rest = require("./rest")
exports.authenticateToken = require("./authentication")
exports.authenticateCookieToken = require("./authenticationCookie")
exports.adminAuthentication = require("./adminAuthentication")
exports.membershipCheck = require("./membershipCheck")
exports.validateToken = require("./validateToken")
exports.db = require("./database")
exports.WebSocket = require("./websocket")
exports.redisClient = require("./redis")
exports.limiter = require("./limiter")
exports.removeDuplicate = require("./removeDuplicate")
exports.auth = require("./auth")

exports.requestConfig = (config) => {
    return (req, res, next) => {
      req.config = config;
      next();
    }
}

const logger = require("./logger")
exports.logger = logger.logger
exports.rTracer = logger.rTracer
