const { createClient } = require("redis")
const redisLock = require("redis-lock")

const { REDIS_CONNECTION } = process.env;

this.client = createClient({
    url: REDIS_CONNECTION
})

this.lock = redisLock(this.client)

exports.redisStart = async () => {
    console.info('CONNECTING REDIS')
    await this.client.connect()
    console.info('REDIS CONNECTED')
}
