const crypto = require('crypto');
const redisClient = require('./redis')
module.exports = async (req, res, next) => {
    const body = JSON.stringify(req.body)
    const path = req.path
    const combined = path+body
    var hash = crypto.createHash('md5').update(combined).digest('hex');
    const sameRequest = await redisClient.client.get(hash)
    if(sameRequest !== null) {
        return res.status(208).send({ code: 208, message: 'Duplicate Request' })
    }
    await redisClient.client.set(hash, 1, { EX: 5 })
    next()
}
